Topic Title: Driver for Radeon HD 3400 Ubuntu 12.10
Topic Summary:
Created On: 10/22/2012 05:33 AM
Status: Post and Reply
Linear : Threading : Single : Branch
Search Topic Search Topic
Topic Tools Topic Tools
View similar topics View similar topics
View topic in raw text format. Print this topic.
 10/22/2012 05:33 AM
User is offline View Users Profile Print this message

Author Icon
svs-57
n00b

Posts: 3
Joined: 10/22/2012

catalyst 12.9 doesn't support Radeon HD 3400

catalyst 12.6 is not compatible with Xorg 1.13

(Failed to load /usr/lib/i386-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so: /usr/lib/i386-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so: undefined symbol: noXFree86DRIExtension)

 

I need to downgrade Xorg to 1.12 to use catalyst 12.6...

 10/22/2012 10:40 AM
User is offline View Users Profile Print this message

Author Icon
kitsab
Peon

Posts: 11
Joined: 11/18/2011

same issue here

 

Radeon Mobility HD4650

@Ubuntu 12.10 x64 with Xorg 1.13

 

we need a patch or a new driver which supports Xorg 1.13 - Catalyst 12.6 is not working with the new Ubuntu release. The fglrx-legacy driver is also not working with HD2xxx to HD4xxx series.

 

br

 

Kitsab

 10/23/2012 04:14 PM
User is offline View Users Profile Print this message

Author Icon
Canis-X
Forum Moderator

Posts: 719
Joined: 08/28/2012

Hello, a bit more information may be needed to help you with your issue. Please read the thread below and revise your post to include the requested information in detail. Doing so will help us help you more efficiently.

Thanks in advance...

**STICKY** | PLEASE READ BEFORE POSTING
Please use the template, and fill out as much information about your issue as possible.

Also, since this is a P2P forum you may wish to work with AMD directly, see below:

**STICKY** | AMD ISSUE REPORTING FORM
Reproducible issues can be reported here.

 



-------------------------

The opinions expressed above do not represent those of Advanced Micro Devices or any of their affiliates.
Requiescat In Pace AMD Processor Forums | Member since: 1/19/2009 | Post count:
4142
Please don't PM me with questions, instead create a thread so that everyone can assist and benefit from the knowledge provided. Thanks in advance!

 10/24/2012 07:53 AM
User is offline View Users Profile Print this message

Author Icon
svs-57
n00b

Posts: 3
Joined: 10/22/2012

It is easy to reproduce issue.

Take any x86 with AMD Radeon™ HD 4000, HD 3000 or HD 2000 Series and try to install Ubuntu 12.10.

Catalist >12.6 doesn't support these cards.

Catalist 12.6 can't be compiled with new Xorg.

As for me I have to work. I removed fglrx and installed free Xorg driver.

Statistics
84096 users are registered to the AMD Support and Game forum.
There are currently 3 users logged in.

FuseTalk Hosting Executive Plan v3.2 - © 1999-2014 FuseTalk Inc. All rights reserved.